Package org.eclipse.emf.cdo.eresource

## Interface CDOResourceFolder

- All Superinterfaces:
    `CDOObject`, `CDOResourceNode`, `CDOWithID`, `EObject`, `Notifier`
  All Known Implementing Classes:
    `CDOResourceFolderImpl`

      public interface CDOResourceFolder
      extends CDOResourceNode

  A representation of the model object 'CDO Resource Folder'.
  See Also:
    `EresourcePackage.getCDOResourceFolder()`
  Generated
  Model
  No Implement
    This interface is not intended to be implemented by clients.

    The following features are supported:

    - `Nodes`
  No Extend
    This interface is not intended to be extended by clients.

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.eresource.CDOResourceNode

      `ROOT_NAME, ROOT_PATH`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOBinaryResource` | `addBinaryResource​(java.lang.String name)`
    `CDOResource` | `addResource​(java.lang.String name)`
    `CDOResourceFolder` | `addResourceFolder​(java.lang.String name)`
    `CDOTextResource` | `addTextResource​(java.lang.String name)`
    `CDOResourceNode` | `getNode​(java.lang.String name)` |
    `EList<CDOResourceNode>` | `getNodes()` | Returns the value of the 'Nodes' containment reference list.

    - ### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

      `cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

    - ### Methods inherited from interface org.eclipse.emf.cdo.eresource.CDOResourceNode

      `delete, getBasename, getExtension, getFolder, getName, getPath, getURI, isRoot, setBasename, setExtension, setFolder, setName, setPath, trimExtension`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getNodes

          EList<CDOResourceNode> getNodes()

      Returns the value of the 'Nodes' containment reference list. The list contents are of type `CDOResourceNode`. It is bidirectional and its opposite is '`Folder`'.

      If the meaning of the 'Nodes' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Nodes' containment reference list.
      See Also:
        `EresourcePackage.getCDOResourceFolder_Nodes()`, `CDOResourceNode.getFolder()`
      Generated
      Model
        opposite="folder" containment="true"

    - #### getNode

          CDOResourceNode getNode​(java.lang.String name)

      Since:
        4.4
      Added

    - #### addResourceFolder

          CDOResourceFolder addResourceFolder​(java.lang.String name)

      Since:
        4.0
      Generated
      Model

    - #### addResource

          CDOResource addResource​(java.lang.String name)

      Since:
        4.0
      Generated
      Model

    - #### addTextResource

          CDOTextResource addTextResource​(java.lang.String name)

      Since:
        4.2
      Generated
      Model

    - #### addBinaryResource

          CDOBinaryResource addBinaryResource​(java.lang.String name)

      Since:
        4.2
      Generated
      Model